import React from 'react';
import { BinaryTreeCheckType, TraversalOrderType } from '../types';
declare type InsertFunctionType = (value: number) => void;
declare type RemoveFunctionType = (value: number) => boolean;
declare type SearchFunctionType = (value: number) => boolean;
declare type GetDataFunctionType = (traversalOrder: TraversalOrderType) => number[];
declare type ClearFunctionType = () => void;
declare type BalanceFunctionType = () => void;
declare type GenerateRandomTreeFunctionType = (countOfNodes: number) => void;
declare type CheckTreeTypeFunctionType = () => BinaryTreeCheckType[];
declare type ReturnType = {
    insert: InsertFunctionType;
    remove: RemoveFunctionType;
    search: SearchFunctionType;
    getData: GetDataFunctionType;
    clear: ClearFunctionType;
    balance: BalanceFunctionType;
    generateRandomTree: GenerateRandomTreeFunctionType;
    checkTreeType: CheckTreeTypeFunctionType;
};
declare const useTree: (ref: React.MutableRefObject<any>) => ReturnType;
export default useTree;
